# List

Launch stage: Public Preview

`GET /api/2.0/database/instances`

List Database Instances.

API scopes: postgres

## Query parameters

- `page_token` (string, optional)
  Pagination token to go to the next page of Database Instances. Requests first page if absent.
- `page_size` (int32, optional)
  Upper bound for items returned. The maximum value is 100.

## Returns

Returns a list of DatabaseInstance objects.

## Response

```json
{
  "database_instances": [
    {
      "uid": "string",
      "name": "string",
      "creator": "string",
      "read_write_dns": "string",
      "creation_time": "string",
      "state": "string",
      "pg_version": "string",
      "capacity": "string",
      "effective_capacity": "string",
      "stopped": true,
      "effective_stopped": true,
      "node_count": 0,
      "effective_node_count": 0,
      "enable_readable_secondaries": true,
      "effective_enable_readable_secondaries": true,
      "read_only_dns": "string",
      "retention_window_in_days": 0,
      "effective_retention_window_in_days": 0,
      "parent_instance_ref": {},
      "child_instance_refs": [
        {}
      ],
      "enable_pg_native_login": true,
      "effective_enable_pg_native_login": true,
      "usage_policy_id": "string",
      "effective_usage_policy_id": "string",
      "custom_tags": [
        {}
      ],
      "effective_custom_tags": [
        {}
      ]
    }
  ],
  "next_page_token": "string"
}
```

